Subject: Re: linux-next: build failure after merge of the pm tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Tue, 25 Sep 2012 13:51:34 +0200

On Tuesday, September 25, 2012, Stephen Rothwell wrote:
> Hi Rafael,
> 
> After merging the pm tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/cpufreq/powernow-k8.c: In function 'transition_frequency_pstate':
> drivers/cpufreq/powernow-k8.c:991:19: error: 'HW_PSTATE_MASK' undeclared (first use in this function)
> drivers/cpufreq/powernow-k8.c:991:19: note: each undeclared identifier is reported only once for each function it appears in
> drivers/cpufreq/powernow-k8.c:992:19: error: 'struct powernow_k8_data' has no member named 'max_hw_pstate'
> drivers/cpufreq/powernow-k8.c:995:2: error: implicit declaration of function 'find_khz_freq_from_pstate' [-Werror=implicit-function-declaration]
> drivers/cpufreq/powernow-k8.c:996:8: error: 'struct powernow_k8_data' has no member named 'currpstate'
> drivers/cpufreq/powernow-k8.c:1004:2: error: implicit declaration of function 'transition_pstate' [-Werror=implicit-function-declaration]
> drivers/cpufreq/powernow-k8.c: At top level:
> drivers/cpufreq/powernow-k8.c:981:12: warning: 'transition_frequency_pstate' defined but not used [-Wunused-function]
> 
> The code causing this was removed by commit e1f0b8e9b04a ("cpufreq:
> Remove support for hardware P-state chips from powernow-k8") but
> reintroduced (presumably incorrectly) by commit d20801be3c11 ("Merge
> branch 'master' into linux-next").
> 
> I have used the pm tree from next-20120924 for today.

It looks like I got the merge wrong.  Sorry about that, I'll fix it up later
today.

Thanks,
Rafael